Subject: Re: [PATCH] Amend git-push refspec documentation

From: Sam Vilain <[email-masked]>
Date: Tue, 22 Apr 2008 20:27:13 +1200

Junio C Hamano wrote:
>> -The <src> side can be an
>> -arbitrary "SHA1 expression" that can be used as an
>> -argument to `git-cat-file -t`.  E.g. `master~4` (push
>> -four parents before the current master head).
>> +The <src> side represents the source branch (or arbitrary
>> +"SHA1 expression"; see linkgit:git-rev-parse[1]) that you want to
>> +push.  The <dst> side represents the destination location.
>>  +
> 
> Hmm.  We lost an example but refer to a more authoritative information,
> which is probably Ok.

Well, the example I think was quite confusing to people who have never
seen `master~4` before.

>> @@ -179,9 +180,10 @@ git push origin master:satellite/master::
>>  
>>  git push origin master:refs/heads/experimental::
>>  	Create the branch `experimental` in the `origin` repository
>> -	by copying the current `master` branch.  This form is usually
>> -	needed to create a new branch in the remote repository as
>> -	there is no `experimental` branch to match.
>> +	by copying the current `master` branch.  This form is only
>> +	needed to create a new branch in the remote repository when
>> +	the local name and the remote name are different; otherwise,
>> +	the branch name on its own will work.
> 
> Note that writing "refs/tags/xprm" instead would allow you to create a
> lightweight tag over there.

True.  You could probably replace 'branch' with 'ref' in the two places
it occurs in the last sentence to encompass that meaning, too.

Cheers,
Sam.